CHANGES

2014-07-26
- Release v1.3.0.0
- Prepare Elastica Release v1.3.0.0

2014-07-25
- Update to elasticsearch version 1.3.0 http://www.elasticsearch.org/downloads/1-3-0/

2014-07-14
 - Add setQuery() method to Elastica\Query\ConstantScore #653

2014-07-12
 - Be able to configure ES host/port via ENV var in test env #652

2014-07-07
 - Fix FunstionScore Query random_score without seed bug. #647

2014-07-02
- Add setPostFilter method to Elastica\Query (http://www.elasticsearch.org/guide/en/elasticsearch/guide/current/_filtering_queries_and_aggregations.html#_post_filter) #645

2014-06-30
- Add Reverse Nested aggregation (http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/search-aggregations-bucket-reverse-nested-aggregation.html). #642

2014-06-14
- Release v1.2.1.0
- Removed the requirement to set arguments filter and/or query in Filtered, according to the documentation: http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/query-dsl-filtered-query.html #616

2014-06-13
- Stop ClientTest->testDeleteIdsIdxStringTypeString from failing 1/3 of the time #634
- Stop ScanAndScrollTest->testQuerySizeOverride from failing frequently for no reason #635
- rework Document and Script so they can share some infrastructure allowing scripts to specify things like _retry_on_conflict and _routing #629

2014-06-11
- Allow bulk API deletes to be routed #631

2014-06-10
- Update travis to elasticsearch 1.2.1, disable Thrift plugin as not compatible and fix incompatible tests

2014-06-04
- Implement Boosting Query (http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/query-dsl-boosting-query.html) #625

2014-06-02
- add retry_on_conflict support to bulk #623

2014-06-01
- toString updated to consider doc_as_upsert if sent an array source #622

2014-05-27
- Fix Aggragations/Filter to work with es v1.2.0 #619

2014-05-25
- Added Guzzle transport as an alternative to the default Http transport #618
- Added Elastica\ScanAndScroll Iterator (http://www.elasticsearch.org/guide/en/elasticsearch/guide/current/scan-scroll.html) #617

2014-05-13
- Add JSON compat library; Elasticsearch JSON flags and nicer error handling #614

2014-05-12
- Update dev builds to phpunit 4.1.*

2014-05-11
- Set processIsolation and backupGlobals to false to speed up tests. processIsolation was very slow with phpunit 4.0.19.

2014-05-05
- Fix get settings on alaised index #608
- Added named function for source filtering #605
- Scroll type constant to Elastica\Search added #607

2014-04-28
- Added setAnalyzer method to Query\FuzzyLikeThis Class and fixed issue with params not being merged #611
- Typo fixes #600, #602
- Remove unreachable return statement #598

2014-04-27
- Release v1.1.1.1
- Fix missing use in TermsStats->setOrder() #597
- Replace all instances of ElasticSearch with Elasticsearch #597

2014-04-24
- Fixing the Bool filter with Bool filter children bug #594

2014-04-22
- Remove useless echo in the Memcache Transport object #595

2014-04-21
- escape \ by \\ #592

2014-04-20
- Handling of HasChild type parsing bug #585
- Consolidate Index getMapping tests #591
- Fix Type::getMapping when using an aliased index #588

2014-04-19
- Release v1.1.1.0
- Update to elasticsearch 1.1.1 http://www.elasticsearch.org/downloads/1-1-1/
- Remove CustomFiltersScore and CustomScore query as removed in elasticsearch 1.1.0 https://github.com/elasticsearch/elasticsearch/pull/5076/files
- Update Node Info to use plugins instead of plugin (https://github.com/elasticsearch/elasticsearch/pull/5072)
- Fix mapping issue for aliases #588

2014-04-17
- Only trap real JSON parse errors in Response class #586

2014-04-09
- Added Cardinality aggregation #581

2014-04-7
- Support for Terms filter lookup options #579

2014-03-29
- Update to elasticsearch 1.1.0 http://www.elasticsearch.org/downloads/1-1-0/

2014-03-26
- Fixed Query\Match Fuzziness parameter type #576

2014-03-24
- Release v1.0.1.2
- Added Filter\Indices #574

2014-03-25
- Allow json string as data srouce for Bulk\Action on update #575

2014-03-20
- Allow for request params in delete by query calls #573

2014-03-17
- Added filters: AbstractGeoShape, GeoShapePreIndexed, GeoShapeProvided #568

2014-03-15
- Percolate existing documents and add percolate options (#570)

2014-03-14
- Added Query\Rescore #441

2014-03-13
- Added missing query options for MultiMatch (operator, minimum_should_match, zero_terms_query, cutoff_frequency, type, fuzziness, prefix_length, max_expansions, analyzer) #569
- Added missing query options for Match (zero_terms_query, cutoff_frequency) #569

2014-03-11
- Fixed request body reuse in http transport #567

2014-03-08
- Release v1.0.1.1
- Enable goecluster-facet again as now compatible with elasticsearch 1.0 on travis
- Run elasticsearch in the background to not have log output in travis build
- Set memache php version as environment variable
- Update to memcache 3.0.8 for travis

2014-03-07
- Add snapshot / restore functionality (Elastica\Snapshot) #566

2014-03-04
- Add PHP 5.6 to travis test environment
- Improve performance of Elastica/Status->getIndicesWithAlias and aliasExists on clusters with many indices #563

2014-03-02
- Release v1.0.1.0
- Fixed Type->deleteByQuery() not working with Query objects #554

2014-02-27
- Update to elasticsearch 1.0.1. Update Thrift and Geocluster plugin.

2014-02-25
- Add JSON_UNESCAPED_UNICODE and JSON_UNESCAPED_SLASHES options in Elastica/Transport/Http, Elastica/Bulk/Action #559

2014-02-20
- Fixed unregister percolator (still used _percolator instead of .percolator). removed duplicate slash from register percolator route. #558

2014-02-17
- Throw PartialShardFailureException if response has failed shards
- Elastica/Aggregations/GlobalAggragation not allowed as sub aggragation #555

2014-02-14
- Add methods setSize, setShardSize to Elastica/Aggregation/Terms
- Elastica/Aggregation/GlobalAggregationTest fixed bug where JSON returned [] instead of {}
- Elastica/ResultSet added method hasAggregations

2014-02-13
- Moved from Apache License to MIT license

2014-02-12
- Release v1.0.0.0
- Updated to elasticsearch 1.0: http://www.elasticsearch.org/blog/1-0-0-released/

2014-02-11
- Add aggregations

2014-02-08
- Setting shard timeout doesn't work #547

2014-02-04
- Remove Elastica\Query\Field and Elastica\Query\Text, which are not supported in ES 1.0.0.RC1
- Minor tweaking of request and result handling classes to adjust for changes in ES 1.0.0.RC1
- Update mapper-attachments plugin to version 2.0.0.RC1 in .travis.yml
- Adjust tests to account for changes in ES 1.0.0.RC1
- Prevent the geocluster-facet plugin from being installed in test/bin/run_elasticsearch.sh as the plugin has not yet been updated for ES 1.0.0.RC1

2014-01-06
- Update to elasticsearch v1.0.0.RC2

2014-01-02
- Added Elastica\Query\DisMax
- Update to elasticsearch v1.0.0.RC1

2014-01-02
- Release v0.90.10

2014-01-31
- Fix _bulk delete proxy methods if type or index not explicitly defined.

2014-01-28
- Add _bulk delete proxy methods to Index and Type for consistency.
- Use the HTTP response code of GET requests (getDocument), instead of extists/found json property.

2014-01-22
- Add getParam & getProperties methods to Elastica\Type\Mapping

2014-01-21
- Code coverage generation for coveralls.io added: https://coveralls.io/r/ruflin/Elastica
- Add support for shard timeout to the Bulk api.

2014-01-17
- Fix typo in constant name: Elastica\Query\FunctionScore::DECAY_GUASS becomes DECAY_GAUSS

2014-01-13
- Add support for _bulk update

2014-01-14
- added \Elastica\Exception\ResponseException::getElasticsearchException()
- Changed logger default log level to debug from info

2014-01-13
- Update to elasticsearch 0.90.10
- Add Elastica\Facet\TermsStats::setOrder()

2014-01-08
- Adding analyze function to Index to expose the _analyze API

2014-01-07
- Document::setDocAsUpsert() now returns the Document

2013-12-18
- Update to Elasticsearch 0.90.8
- Add support for simple_query_string query

2013-12-15
- Add support for filter inside HasChild filter
- Add support for filter inside HasParent filter

2013-12-12
- Always send scroll_id via HTTP body instead of as a query param
- Fix the manner in which suggestion results are returned in \Elastica\ResultSet and adjust associated tests to account for the fix.
- Add \Elastica\Resultset::hasSuggests()

2013-12-11
- Pass arguments to optimize as query
- Add refreshAll on Client

2013-12-07
- Added Result::hasFields() and Result::hasParam() methods for consistency with Document

2013-12-07
- Escape slash in Util::escapeTerm, as it is used for regexp from Elastic 0.90

2013-12-05
- Add *.iml to .gitignore
- Refactor suggest implementation (\Elastica\Suggest, \Elastica\Suggest\AbstractSuggest, and \Elastica\Suggest\Term) to more closely resemble query implementation. (BC break)
- \Elastica\Search::addSuggest() has been renamed to \Elastica\Search::setSuggest()
- \Elastica\Query::addSuggest() has been renamed to \Elastica\Query::setSuggest()
- Add \Elastica\Suggest\Phrase, \Elastica\Suggest\CandidateGenerator\AbstractCandidateGenerator, and \Elastica\Suggest\CandidateGenerator\DirectGenerator
  (see http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/search-suggesters-phrase.html)

2013-12-04
- Remove boost from FunctionScore::addFunction because this is not supported by elasticsearch

2013-12-02
- Issue #491 resolved

2013-12-01
- Issue #501 resolved
- satooshi/php-coveralls package added for coverall.io
- Multiple badges for downloads and latest stable release added

2013-11-30
- Remove facets param from query if is empty array
- Add size param to API for TermsStats

2013-11-23
- Release v0.90.7.0

2013-11-19
- Updated geocluster-facet to 0.0.9

2013-11-18
- Added \Elastica\Filter\Regexp

2013-11-16
- Remove wrong documentation for "no limit" #496
- Update to elasticsearch 0.90.7

2013-11-03
- Issue #490: Set Elastica\Query\FunctionScore::DECAY_EXPONENTIAL to "exp" instead of "exponential"

2013-10-29
- Elastica_Type::exists() added
  See http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/indices-types-exists.html#indices-types-exists

2013-10-27
- Adapted possible values (not only in) for minimum_should_match param based on elasticsearch documetnation  http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/query-dsl-minimum-should-match.html

2013-10-27
- Release v0.90.5.0

2013-10-26
- Update to elasticsearch 0.90.5

2013-10-21
- Fix \Elastica\Filter\HasParent usage of \Elastica\Query as to not collide with \Elastica\Filter\Query, bring \Elasitca\Filter\HasChild into line

2013-10-01
- Also pass the current client object to the failure callback in \Elastica\Client.

2013-09-20
- Update to geocluster-facet 0.0.8
- Add support for term suggest API
  See http://www.elasticsearch.org/guide/reference/api/search/term-suggest/

2013-09-18
- Fix \Elastica\Filter\HasChild usage of \Elastica\Query as to not collide with \Elastica\Filter\Query namespace

2013-09-17
- Update to elasticsearch 0.90.4
- Add support for function_score query
- Skip geocluster-facet test if the plugin is not installed
- Correct \Elastica\Test\ClientTest to catch the proper exception type on connection failure
- Fix unit test errors

2013-09-14
- Nested filter supports now the setFilter method

2013-09-03
- Support isset() calls on Result objects

2013-08-27
- Add \ArrayAccess on the ResultSet object

2013-08-25
- Update to elasticsearch 0.90.3

2013-08-25
- Release v0.90.2.0

2013-08-20
- Support for "proxy" param for http connections

2013-08-17
- Add support for fields parameter in Elastica_Type::getDocument()

2013-08-13
- Add a getQuery method on the FilteredQuery object

2013-08-01
- Second param to \Elastica\Search.php:count($query = '', $fullResult = false) added. If second param is set to true, full ResultSet is returned including facets.

2013-07-16
- Plugin geocluster-facet support added

2013-07-02
- Add Query\Common
- Can now create a query by passing an array to Type::search()

2013-07-01
- Add Filter\GeohashCell

2013-06-30
- Revamped upsert so that Scripts are now first class citizens. (BC break)
  See http://elastica.io/migration/0.90.2/upsert.html
- Implemented doc_as_upsert.

2013-06-29
- Update to elasticsearch 0.90.2
- Enabled ES_WAIT_ON_MAPPING_CHANGE for travis builds

2013-06-25
- Added upsert support when updating a document with a partial document or a script.

2013-06-23
- Add filtered queries to the percolator API.

2013-06-21
- Correct class name for TermTest unit test
- Implement terms lookup feature for terms filter

2013-06-14
- Fix support for making scroll queries once the scroll has been started.

2013-06-07
- Release 0.90.1.0

2013-06-05
- Changed package name to lowercase to prevent potential issues with case sensitive file systems and to refelect the package name from packagist.org.
  If you are requiring elastica in your project you might want to change the name in the require to lowercase, although it will still work if written in uppercase.
  The composer autoloader will handle the package correctly and you will not notice any difference.
  If you are requiring or including a file by hand with require() or include() from the composer vendor folder, pay attention that the package name in
  the path will change to lowercase.
- Add Bulk\Action\UpdateDocument.
- Update Bulk\Action\AbstractDocument and Bulk\Action to enable use of OP_TYPE_UPDATE.
- Update .travis.yml to use Elasticsearch version 0.9.1, as bulk update is a new feature in 0.9.1.

2013-06-04
- Elastica\Client::_configureParams() changed to _prepareConnectionParams(), which now takes the config array as an argument

2013-06-03
- Add getPlugins and hasPlugin methods to Node\Info

2013-05-30
- Update Index\Status::getAliases() to use new API
- Update Index\Status::getSettings() to use new API

2013-05-29
- Add _meta to mapping. #330

2013-05-27
- Added parameters to implement scroll

2013-05-23
- add support PSR-3(https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-3-logger-interface.md)
- Elastica\Log implement LoggerInterface(extends Psr\Log\AbstractLogger)
  if you want use logging need install https://github.com/php-fig/log for example (composer require psr/log:dev-master)
  if use Elastica\Log inside Elastica\Client nothing more is needed
  if use Elastica\Log outside we need use as(https://github.com/php-fig/log) for example Elastica\Log::info($message) or Elastica\Log::log(LogLevel::INFO,$message)
- Elastica\Client add setLogger for setting custom Logger for example Monolog(https://github.com/Seldaek/monolog)

2013-05-18
- Elastica\Index::exists fixed for 0.90.0. HEAD request method introduced
- Elastica\Filter\AbstractMulti::getFilters() added
- Implement Elastica\Type\Mapping::enableAllField
- Refresh for Elastica\Index::flush implemented #316
- Added optional parameter to filter result while percolate #384

2013-05-07
- Added EXPERIMENTAL DocumentObjectInterface to be used with Type::addObject()/addObjects()

2013-04-23
- Removed Elastica\Exception\AbstractException
- All Exceptions now implement Elastica\Exception\ExceptionInterface

2013-04-17
- Query\Fuzzy to comply with DSL spec. Multi-field queries now throw an exception. Implemented: Query\Fuzzy::setField, Query\Fuzzy::setFieldOption.
- Query\Fuzzy::addField has been deprecated.

2013-04-12
- Adding max score information in ResultSet
- Adding test for the ResultSet class

2013-03-20
- Removal of unsupported minimum_number_should_match for Boolean Filter

2013-02-25
- Added Elastica\Bulk class responsible for performing bulk requests. New bulk requests implemented: Client::deleteDocuments(), Bulk::sendUdp()

2013-02-20
- Release candidate 0.20.5.0.RC1

2013-02-14
- Added factory for transports that is used by the Connection class
- The transport instances now has support for parameters that can be injected by specifying an array as a transport when creating the Elastica client

2013-02-08
- Terms->setScript() Added, namespace Elastica\Facet

2013-01-31
- Removed deprecated method Type::getType()
- Removed deprecated old constructor call in Filter\GeoDistance::__construct()
- Removed deprecated method Filter\Script::setQuery()
- Removed deprecated methods Query\QueryString::setTieBraker() and Query\QueryString::setQueryString()
- Removed deprecated methods Query\Builder::minimumShouldMatch() and Query\Builder::tieBreaker()

2013-01-25
- Add get/set/has/remove methods to Document
- Add magic methods __get/__set/__isset/__unset to Document
- Document::add method became deprecated, use set instead
- Populate document id created by elasticsearch on addDocument()/addDocuments() call if no document id was set
- Populate updated fields in document on Client::updateDocument() call if fields options is set

2013-01-24
- Added serialization support. Objects can be added to elastica directly when a serializer callable is configured on \Elastica\Type

2013-01-21
- Added Thrift transport. Ir requires installing munkie/elasticsearch-thrift-php package and elasticsearch-tranport-thrift plugin should be installed in elastcisearch

2013-01-13
- Add version option to Elastica_Search::search
- Remove compatibility for PHP 5.2
- Changed all syntax using namespaces, in compliance with PSR-2.
- Usage of composer for lib and test autoloading
- Added PHPUnit as a dev dependency in composer.json
- All tests were rewritten for new syntax.
- All tests where moved in Elastica\Test namespace
- All tests now inherit from Elastica\Test\Base
- Removed all executable flags on files where not needed.
- Update to elasticsearch 0.20.2
- Refactored Elastica_Script and added it support in Elastica_Query_CustomFiltersScore, Elastica_Query_CustomScore and Elastica_Filter_Script
- Refactored Elastica_Client::updateDocument() method to support partial document update. $data can be Elastic_Script, Elastic_Document or array.
- Elastica_Type::updateDocument() now takes Elastica_Document instead of Elastica_Script (BC break). Script can be set to document to perform script update.

2012-12-23
- Elastica_Client config param "servers" to "connections" renamed. "headers" and "curl" are now a config param inside "connections"
- Elastica_Connection added to allow connection management (enabled / disable)
- Refactoring of Elastica_Request. Takes Elastica_Connection in constructor instead of Elastica_Client
- Elastica_Transport refactored
- Elastica_Log refactored
- Renamed Elastica_Exception_Client to Elastica_Exception_Connection
- Use Elastica_Connection for the following constants: DEFAULT_PORT, DEFAULT_HOST, DEFAULT_TRANSPORT, TIMEOUT

2012-11-28
- Added Elastica_Filter_GeoDistanceRange filter

2012-11-23
- Simplified Elastica_Document data handling by extending Elastica_Param

2012-11-10
- Added Elastica_Cluster_Health, Elastica_Cluster_Health_Index and Elastica_Cluster_Health_Shard which wrap the _cluster/health endpoint.
- Added Elastica_Document::setId()
- Added options parameter to Elastica_Type::getDocument()
- Added Elastica_Query_Filtered::getFilter()

2012-10-30
- Elastica_Search implement Elastica_Searchable interface

2012-10-28
- Add Elastica_Filter_HasParent and Elastic_Query_HasParent

2012-08-11
- Release v0.19.8.0
- Elastica_Query_Prefix added

2012-07-26
- Change Elastica_Filter_GeoDistance::__construct(), accepts geohash parameter (BC break, before: ($key, $latitude, $longitude, $distance), after: ($key, $location, $distance) where $location is array('lat' => $latitude, 'lon' => $longitude) or a geohash)

2012-07-17
- Changed naming for several methods to camelCase
- Enforced PSR1 code style, as per https://github.com/pmjones/fig-standards/blob/psr-1-style-guide/proposed/PSR-1-basic.md
- Added Elastica_Script::toArray
- Added Elastica_ScriptFields
- Elastica_Query::setScriptFields now takes Elastica_ScriptFields or associative array as argument, the old implementation was bogus.

2012-06-24
- Simplify Elastica_Type::search and Elastica_Index::search by using Elastica_Search
- Implement Elastica_Filter_Abstract::setCache and Elastica_Filter_Abstract::setCacheKey
- Add Elastica_Param::hasParam
- Remove unsupported use of minimum number should match for Boolean Filter
- Remove old style path creation through params in Elastica_Index::create and Elastica_Search::search

2012-06-22
- Add Elastica_Filter_Limit
- Add getters+setters for Index Setting blocks 'read', 'write' and 'metadata'
- Add Elastica_Filter_MatchAll

2012-06-20
- Facet scope added

2012-06-09
- Change $_parent to null to also support 0 for an id
- Fix Elasitca_Document->toArray()

2012-05-01
- Release v0.19.3.0
- MoreLikeThis Query in Elastica_Document
- Add query param for request (allows GET params)

2012-03-04
- Node info call update. The receive os info and more, param is needed. By default, only basics are returned
- Release v0.19.0.0 which is compatible with ES 0.19.0 http://www.elasticsearch.org/blog/2012/03/01/0.19.0-released.html

2012-02-21
- Allow percolate queries in bulk requests
- Fix memory leak in curl requests

2012-01-23
- Packagist added http://packagist.org/

2012-01-15
- Vagrantfile for vagrant environment with elasticsearch added. Run: vagrant up

2012-01-08
- Allow to set curl params over client config #106 #107
- Add the possiblity to add path or url in config for a request #120

2012-01-04
- Elastica_Index::exists() and Elastica_Cluster::getIndexNames() added

2012-01-01
- Elastica_Cluster_Settings added
- Read only feature for cluster and index added. This feature is elasticsearch >0.19.0 only. ES 0.19.0 release is not out yet

2011-12-29
- Elastica_Type::deleteByQuery implemented

2011-12-20
- Release v0.18.6.0

2011-12-19
- Percolator for Type and Documents added

2011-12-06
- Elastica_Percolator added. See tests for more details

2011-12-02
- Rename Elastica_Type::getType() to Elastica_Type::getName(), getType() is now deprecated

2011-12-01
- Elastica_Filter_Term::addTerm renamed to setTerm, Elastica_Filter_Term::setTerm renamed to setRawTerm
- Elastica_Query_Term::addTerm renamed to setTerm, Elastica_Query_Term::setTerm renamed to setRawTerm

2011-11-30
- Release v0.18.5.0

2011-11-28
- Elastica_Filter_Nested added

2011-11-26
- Elastica_Search::addIndices(), Elastica_Search::addTypes() added

2011-11-20
- Release v0.18.4.1
- Elastica_Log added for logging. Has to be passed as client config to enable
- Elastica blogging introduced: http://ruflin.com/en/elastica

2011-11-17
- Release v0.18.4.0
- Support for Travis CI added: http://travis-ci.org/ruflin/Elastica

2011-11-07
- Elastica_Index_Stats added

2011-11-05
- Elastica_Query_Nested added

2011-10-29
- TTL for document and mapping added

2011-10-28
- Refactored Elastica_Query_CustomScore::addCSParam to ::addParams
- Rename Elastica_Query_CustomScore::addParam to ::addCSParam
- Release v0.18.1.0

2011-10-20
- Release v0.17.9.0
- Elastica_Filter_Type added

2011-10-19
- Elastica_Query_CustomFilterScore added

2011-10-15
- API Documentation changed to DocBlox

2011-10-10
- Bug fixing
- Release v0.17.8.0 added

2011-09-19
- Release v0.17.7.0 added
- Release v0.17.6.1 added

2011-09-18
- Elastica_Exception_ExpectedFieldNotFound renamed to Elastica_Exception_NotFound

2011-08-25
- Https transport layer added

2011-08-22
- Typo in Terms query fixed (issue #74)

2011-08-15
- Refactoring HTTP connection to keep alive connection -> speed improvement during using the same client
- Release v0.17.6.0 added

2011-08-09
- Automatic creation of id for documents added. This was more a bug
- Release v0.17.4.0 added

2011-08-08
- Elastica_Query_Text added
- Params (constructor) of Elastica_Filter_GeoBoundingBox changed (array instead of single params)

2011-08-07
- Elastica_Query_MoreLikeThis added by @juneym. Still work under progress
- Refactoring Queries and Filters to use Elastica_Param. Adding tests

2011-08-05
- Elastica_Filter_Abstract enhanced for more general usage (set/get/addParam(s)) added

2011-08-04
- Release v0.17.3.0 added
- Elastica_Index_Settings::set/get response updated. get('...') does not require 'index.' in front anymore
- Nodes and Cluster shutdown added
- Elastica_Node::getIp() and getPort() added

2011-07-30
- Readd merge_factor to settings. Now working as expected. Index has to be closed first.

2011-07-29
- Release tag v0.17.2.0 added. Elastica is compatible with elasticsearch 0.17.2

2011-07-22
- Elastica_Index_Settings::getMergePolicyMergeFactor and set removed because of enhanced merge policy implementation in ES 0.17.0 https://github.com/elasticsearch/elasticsearch/issues/998
- Release tav v0.17.1.0 added

2011-07-21
- Elastica_Query_HasChild and _parent feature added by fabian
- Elastica_Filter_GeoBoundingBox added by fabian

2011-07-20
- Elastica_Query_Builder added by chrisdegrim

2011-07-19
- Release tag v0.17.0.0 added. Elastica is compatible with elasticsearch 0.17.0

2011-07-18
- ResultSet::hasFacets added
- QueryString useDisMax added

2011-07-15
- Facet/DateHistogram and Facet/Historgram added
- Documentation pages added unter http://ruflin.github.com/Elastica
- Release tag v0.16.4.0 added

2011-06-19
- Add support for multiple servers to Elastica_Client (issue #39)

2011-06-16
- Support for multiple index, type queries and _all queries added through Elastica_Search object
- Elastica_Index::clearCache added to clean cache
- Elastica_Index::flush added

2011-06-07
- Elastica_Index::setNumberOfShards removed as not supported after creating index

2011-05-11
- Refactor client constructor. Elastica_Client::__construct(array $config) now takes a config array instead of host and port

2011-05-08
- Elastica_Query_QueryString::escapeTerm move to Elastica_Util::escapeTerm

2011-04-29
- Added getParam to Elastica_Result that more values can be retrieved from the hit array
- Elastica_Filter_Ids added http://www.elasticsearch.org/guide/reference/query-dsl/ids-filter.html
- getMergePolicyMergeFactor and getRefreshInterval to Elastica_Type_Settings added. If no value is set, default values are returned

2011-04-28
- Release of version 0.16.0.0 (see new version naming structure in README)

2011-04-27
- Refactoring of Elastica_Type::setMapping. No source parameter anymore.
- Elastica_Type_Mapping object introduced to set more fine grained mapping

2011-04-17
- Elastica_Filter_Exists added

2011-04-14
- Elastica_Type getCount replace by count()
- Count has now optional query parametere

2011-04-01
- Renaming of functions in Elastica_Query_Terms and Ela-stica_Query_Filter to fit new naming convention. setTerms, addTerm have different API now!

2011-03-31
- Deprecated code removed
- Break backward compatibility to 0.15.1 (versions introduced by wlp1979)

2011-03-30
- Filtered query introduced
- setRawArguments in Elastica_Query is now setParam
- open / close for index added
- Remove Elastica_Filter and Elastica_Facets because not needed anymore

2011-03-29
- Renaming Elastica_Filter->addQuery, addFilter to setQuery, setFilter
- Add parts of Facets API
- Add facet Terms
- Renaming Elastica_Query->addFilter to setFilter

2011-03-24
- Renaming of Elastica_Status_Index to Elastica_Index_Status => API Change!
- IndexSettings added for improved bulk updating http://www.elasticsearch.org/blog/2011/03/23/update-settings.html

2011-03-21
- Node object added
- Node_Info and Node_Stats added
- Refactoring of Cluster object

2011-03-13
- changes.txt introduced
- getResponse in Elastica_Response renamed to getData. getResponse now deprecated
- Index status objects added
- getIndexName in Elastica_Index renamed to getName. getIndexName is deprecated
